/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbMainEtcObj extends XbEtcObj {

	// エンティティID または コンテキストID
	private long main_id;
	// ETC タイプ
	private int etc_type;
	// ETC ID
	private long etc_id;
	// 親 ETC ID
	private long parent_etc_id;
	// 接頭辞
	private String prefix;
	// ＵＲＩ
	private String uri;
	// 並び順
	private long presentation_order;
	// 作成日
	private Date creation_date;

	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return etc_id
	 */
	public long getEtc_id() {
		return etc_id;
	}
	/**
	 * @param etc_id 設定する etc_id
	 */
	public void setEtc_id(long etc_id) {
		this.etc_id = etc_id;
	}
	/**
	 * @return etc_type
	 */
	public int getEtc_type() {
		return etc_type;
	}
	/**
	 * @param etc_type 設定する etc_type
	 */
	public void setEtc_type(int etc_type) {
		this.etc_type = etc_type;
	}
	/**
	 * @return main_id
	 */
	public long getMain_id() {
		return main_id;
	}
	/**
	 * @param main_id 設定する main_id
	 */
	public void setMain_id(long main_id) {
		this.main_id = main_id;
	}
	/**
	 * @return parent_etc_id
	 */
	public long getParent_etc_id() {
		return parent_etc_id;
	}
	/**
	 * @param parent_etc_id 設定する parent_etc_id
	 */
	public void setParent_etc_id(long parent_etc_id) {
		this.parent_etc_id = parent_etc_id;
	}
	/**
	 * @return prefix
	 */
	public String getPrefix() {
		return prefix;
	}
	/**
	 * @param prefix 設定する prefix
	 */
	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
	/**
	 * @return presentation_order
	 */
	public long getPresentation_order() {
		return presentation_order;
	}
	/**
	 * @param presentation_order 設定する presentation_order
	 */
	public void setPresentation_order(long presentation_order) {
		this.presentation_order = presentation_order;
	}
	/**
	 * @return uri
	 */
	public String getUri() {
		return uri;
	}
	/**
	 * @param uri 設定する uri
	 */
	public void setUri(String uri) {
		this.uri = uri;
	}
}